regina::ReturnsTraitsImplementation< T, hasReturnType > Struct Template Reference

Provides the implementation of ReturnsTraits. More...

`#include <utilities/registryutils.h>`

## Detailed Description

### template<typename T, bool hasReturnType>
struct regina::ReturnsTraitsImplementation< T, hasReturnType >

Provides the implementation of ReturnsTraits.

See the ReturnsTraits documentation for details.

The documentation for this struct was generated from the following file:

- utilities/registryutils.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).